<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/recipes/recipes/craftrag.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d6a/craftrag_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">craftrag.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d6a/craftrag_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionDismantleFlagMode.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/dc0/class_craft_rag.html">   13</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d1/dc0/class_craft_rag.html">CraftRag</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/dc0/class_craft_rag.html#a7b57b2d23860bda1ac31b2f949cf2379">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/dc0/class_craft_rag.html#a7b57b2d23860bda1ac31b2f949cf2379">CanDo</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> ingredients[], <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">if</span> (!super.CanDo(ingredients, player))</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">if</span> (ingredients[1].IsInherited(<a class="code hl_class" href="../../dd/dd7/class_flag___base.html">Flag_Base</a>) &amp;&amp; ingredients[1].GetHierarchyParent())</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <a class="code hl_class" href="../../dd/d4b/class_territory_flag.html">TerritoryFlag</a> flag;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <span class="keywordflow">if</span> (!Class.CastTo(flag, ingredients[1].GetHierarchyParent()) || !flag.<a class="code hl_function" href="../../dd/d4b/class_territory_flag.html#aeda2d892ba66731d7757e59398e5d6a0">HasExpansionTerritoryInformation</a>())</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span> (player.<a class="code hl_function" href="../../d5/da8/class_player_base.html#aac7d8816c898efbe2419763d6dba3ff2">IsInTerritory</a>() &amp;&amp; !player.<a class="code hl_function" href="../../d5/da8/class_player_base.html#aa8b20ccd5b11c8a3a6470afa6410772a">IsInsideOwnTerritory</a>())</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../d9/d6f/_core_2_scripts_23__game_2dayzexpansion__core_2settings_2expansionsettings_8c.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d5/d5b/class_expansion_settings.html#a3f42ded927d7b038a92531a056f6cdf4">GetBaseBuilding</a>().DismantleFlagMode == <a class="code hl_enumeration" href="../../d3/d7e/expansiondismantleflagmode_8c.html#addf54d3ec9ffecf30495d36bbc5dc2cd">ExpansionDismantleFlagMode</a>.AnyoneWithTools;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>}</div>
<div class="ttc" id="a_core_2_scripts_23__game_2dayzexpansion__core_2settings_2expansionsettings_8c_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d9/d6f/_core_2_scripts_23__game_2dayzexpansion__core_2settings_2expansionsettings_8c.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d6f/_core_2_scripts_23__game_2dayzexpansion__core_2settings_2expansionsettings_8c_source.html#l00254">expansionsettings.c:254</a></div></div>
<div class="ttc" id="aclass_craft_rag_html"><div class="ttname"><a href="../../d1/dc0/class_craft_rag.html">CraftRag</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d6a/craftrag_8c_source.html#l00013">craftrag.c:14</a></div></div>
<div class="ttc" id="aclass_craft_rag_html_a7b57b2d23860bda1ac31b2f949cf2379"><div class="ttname"><a href="../../d1/dc0/class_craft_rag.html#a7b57b2d23860bda1ac31b2f949cf2379">CraftRag::CanDo</a></div><div class="ttdeci">override bool CanDo(ItemBase ingredients[], PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d6a/craftrag_8c_source.html#l00015">craftrag.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_settings_html_a3f42ded927d7b038a92531a056f6cdf4"><div class="ttname"><a href="../../d5/d5b/class_expansion_settings.html#a3f42ded927d7b038a92531a056f6cdf4">ExpansionSettings::GetBaseBuilding</a></div><div class="ttdeci">ExpansionBaseBuildingSettings GetBaseBuilding(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d77/_base_building_2_scripts_23__game_2dayzexpansion__basebuilding_2settings_2expansionsettings_8c_source.html#l00064">expansionsettings.c:64</a></div></div>
<div class="ttc" id="aclass_flag___base_html"><div class="ttname"><a href="../../dd/dd7/class_flag___base.html">Flag_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/basebuilding_2flags_2flag__base_8c_source.html#l00013">flag_base.c:14</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dbd/expansionbaselights_8c_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbf/_base_building_2_scripts_24__world_2dayzexpansion__basebuilding_2entities_2manbase_2playerbase_8c_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aclass_player_base_html_aa8b20ccd5b11c8a3a6470afa6410772a"><div class="ttname"><a href="../../d5/da8/class_player_base.html#aa8b20ccd5b11c8a3a6470afa6410772a">PlayerBase::IsInsideOwnTerritory</a></div><div class="ttdeci">bool IsInsideOwnTerritory(float territorySize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbf/_base_building_2_scripts_24__world_2dayzexpansion__basebuilding_2entities_2manbase_2playerbase_8c_source.html#l00144">playerbase.c:144</a></div></div>
<div class="ttc" id="aclass_player_base_html_aac7d8816c898efbe2419763d6dba3ff2"><div class="ttname"><a href="../../d5/da8/class_player_base.html#aac7d8816c898efbe2419763d6dba3ff2">PlayerBase::IsInTerritory</a></div><div class="ttdeci">bool IsInTerritory(float territorySize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbf/_base_building_2_scripts_24__world_2dayzexpansion__basebuilding_2entities_2manbase_2playerbase_8c_source.html#l00112">playerbase.c:112</a></div></div>
<div class="ttc" id="aclass_territory_flag_html"><div class="ttname"><a href="../../dd/d4b/class_territory_flag.html">TerritoryFlag</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/territoryflag_8c_source.html#l00013">territoryflag.c:14</a></div></div>
<div class="ttc" id="aclass_territory_flag_html_aeda2d892ba66731d7757e59398e5d6a0"><div class="ttname"><a href="../../dd/d4b/class_territory_flag.html#aeda2d892ba66731d7757e59398e5d6a0">TerritoryFlag::HasExpansionTerritoryInformation</a></div><div class="ttdeci">bool HasExpansionTerritoryInformation()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/territoryflag_8c_source.html#l00215">territoryflag.c:215</a></div></div>
<div class="ttc" id="aexpansiondismantleflagmode_8c_html_addf54d3ec9ffecf30495d36bbc5dc2cd"><div class="ttname"><a href="../../d3/d7e/expansiondismantleflagmode_8c.html#addf54d3ec9ffecf30495d36bbc5dc2cd">ExpansionDismantleFlagMode</a></div><div class="ttdeci">ExpansionDismantleFlagMode</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/expansiondismantleflagmode_8c_source.html#l00013">expansiondismantleflagmode.c:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_0be1ee331f0ee8b2f46ce6dade60d197.html">recipes</a></li><li class="navelem"><a class="el" href="../../dir_397105e368f97e36ed893e75a6e0eb69.html">recipes</a></li><li class="navelem"><a class="el" href="../../d2/d6a/craftrag_8c.html">craftrag.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
